## postgis 2.1.2%2bdfsg

=== debian/changelog ===
postgis (2.1.2+dfsg-2ubuntu0.1) trusty-security; urgency=high

  * SECURITY UPDATE: crash of the database backend process when given
    invalid GeoJSON data (LP: #1438875)
    - debian/patches/geojson-fix-3094.patch: back-ported from the 2.1.7
      release, taken from debian patch by Markus Wanner.
    - No CVE number

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 01 Apr 2015 21:29:10 +0200

postgis (2.1.2+dfsg-2) unstable; urgency=medium

  * Fix arch-only builds by moving the maven-repo-helper dependency from
    B-D-I to B-D.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 07 Apr 2014 16:36:07 +0200

postgis (2.1.2+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Update copyright file using copyright-format 1.0.
  * Repack upstream tarball, remove OGC test cases with unclear license.
    (closes: #743489)
  * Add gbp.conf to use pristine-tar by default.
  * Add man page for raster2pgsql.
    (closes: #717307)
  * Bump Debhelper compatibility to 9.
  * Add partial German translation for documentation.
    Thanks to Chris Leick for the patch.
    (closes: #729284)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 04 Apr 2014 20:16:30 +0200

postgis (2.1.2-1) unstable; urgency=low

  * New upstream release, 2.1.1. Closes: #728724.
  * Adapt liblwgeom package name and dependencies to match the new release
    version number.
  * Add a suggestion for postgis-doc. Closes: #737497.
  * Refresh patches debian-versions, honor-build-flags, and
    java-version-fix.
  * Drop patches fix-kfreebsd, fix-big-endian, joinsel-issue2543, and
    doc-resources - these got applied upstream.
  * Add upstream issue number to patch fix-armel - that one hasn't been
    applied upstream, yet.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 31 Mar 2014 13:07:07 +0200

postgis (2.1.1-6) unstable; urgency=low

  * Recommend postgresql-contrib-M.N for the fuzzystrmatch
    extension, which postgis_tiger_decoder depends on.
  * Update README.Debian, make sure the sql scripts are included in the
    -scripts package for the newest Postgres version as well.
    Closes: #724626.
  * Correct java-version-fix, so the jar-version becomes 2.1.1 rather than
    some rc. Closes: #721721.
  * Deduplicate highly redundant .sql files in *-postgis-scripts.
  * Drop the ored dependency on openjdk-6-jdk.
  * Add a couple more files to the extend-diff-ignore.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 19 Mar 2014 10:16:41 +0100
