=== debian/changelog ===
postgis (2.1.2+dfsg-2ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: An empty argument in a postgis function can cause a DoS
    in PostgreSQL. This fix avoid it.
    - debian/patches/CVE-2017-18359.patch: ST_AsX3D handle empty geometries.
    - CVE-2017-18359

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 14 Feb 2019 16:39:36 -0200
